List Web Tools
curl --request GET \
--url https://api.tryhamsa.com/v2/voice-agents/web-tool/list \
--header 'Authorization: <api-key>'import requests
url = "https://api.tryhamsa.com/v2/voice-agents/web-tool/list"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tryhamsa.com/v2/voice-agents/web-tool/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"items": [
{
"id": "48f7656f-098b-4c43-b165-7cfd2cc8ac30",
"persistentId": "48f7656f-098b-4c43-b165-7cfd2cc8ac30",
"version": 1,
"name": "Get Weather Data",
"type": "FUNCTION",
"userId": "48f7656f-098b-4c43-b165-7cfd2cc8ac30",
"projectId": "48f7656f-098b-4c43-b165-7cfd2cc8ac30",
"isActive": true,
"async": false,
"description": "Fetches current weather data for a given location",
"collectionId": "48f7656f-098b-4c43-b165-7cfd2cc8ac30",
"toolSettings": {
"httpHeaders": {},
"pathParameters": {},
"serverUrl": "<string>",
"timeout": 123,
"authToken": "<string>",
"methodType": "<string>"
},
"params": {},
"messages": [
{
"type": "REQUEST_START",
"content": "Fetching weather data..."
}
]
}
],
"total": 25,
"filtered": 10
}
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Web Tools Routes
List Web Tools
Retrieves a paginated list of web tools with optional filtering by project, status, type, collection, and search term.
GET
/
v2
/
voice-agents
/
web-tool
/
list
List Web Tools
Authorizations
Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '
Query Parameters
Filter by activation status
Example:
true
Return only web tools that are not in any collection. Cannot be used with collectionId.
Example:
false
The unique identifier of the voice agent to filter by
Example:
"48f7656f-098b-4c43-b165-7cfd2cc8ac30"
Page number for pagination (1-based)
Required range:
x >= 1Example:
1
Number of items per page
Required range:
x >= 1Example:
10
Search web tools by name
Example:
"Weather API"
Filter by web tool type
Available options:
FUNCTION, MCP, WEB_TOOL Example:
"FUNCTION"
Filter by collection ID. Cannot be used with returnUncategorized=true.
Example:
"48f7656f-098b-4c43-b165-7cfd2cc8ac30"
Was this page helpful?